Skip to content
Prividium

contracts

Contract management endpoints

GET /contracts/

GET/contracts/

List contracts grouped by template. Returns template groups (with counts) followed by ungrouped contracts.

Query Parameters

limit
integer·min 1·max 100·default 10
offset
integer·min 0·max 9007199254740991·default 0
searchQuery
string·max 200

Responses

POST /contracts/

POST/contracts/

Create a new contract

Request Body

application/json
contractAddressRequired
string
abiRequired
string·min 1
nameRequired
string·max 100
descriptionRequired
string
discloseErc20TotalSupply
boolean·default false
discloseBytecode
boolean·default false
disclosedAddresses
object[]·default []

templateId
integer·min -9007199254740991·max 9007199254740991
templateKey
string
disclosureStartBlockRequired
string
organizationId
string

Responses

GET /contracts/by-template/{templateId}

GET/contracts/by-template/{templateId}

List contracts for a specific template with pagination

Path Parameters

templateIdRequired
integer·min -9007199254740991·max 9007199254740991

Query Parameters

limit
integer·min 1·max 1000·default 10
offset
integer·min 0·max 9007199254740991·default 0
searchQuery
string·max 200

Responses

GET /contracts/{contractAddress}

GET/contracts/{contractAddress}

Get a contract by address

Path Parameters

contractAddressRequired
string

Responses

PUT /contracts/{contractAddress}

PUT/contracts/{contractAddress}

Replace a contract (full update)

Path Parameters

contractAddressRequired
string

Request Body

application/json
contractAddressRequired
string
abiRequired
string·min 1
nameRequired
string·max 100
descriptionRequired
string
discloseErc20TotalSupplyRequired
boolean
discloseBytecodeRequired
boolean
disclosedAddresses
object[]

templateId
integer·min -9007199254740991·max 9007199254740991
templateKey
string
disclosureStartBlockRequired
string

Responses

DELETE /contracts/{contractAddress}

DELETE/contracts/{contractAddress}

Delete a contract

Path Parameters

contractAddressRequired
string

Responses

GET /contracts/{contractAddress}/abi

GET/contracts/{contractAddress}/abi

Get contract ABI filtered to only functions the authenticated user can access. This allows dApps to fetch ABIs at runtime instead of bundling them, preventing exposure of contract interfaces publicly.

Path Parameters

contractAddressRequired
string

Responses